set -g mouse on
set -g default-terminal "tmux-256color"
set -sa terminal-overrides ',tmux-256color:Tc'
set -g status on
set -g status-left " #[fg=darkblue]#S#[fg=black] | "
set -g status-left-length 20
set -g status-right "| #[fg=white]#(curl 'wttr.in/Störnstein?format="%%l:+%%t+%%w"')#[fg=black] | #[fg=darkblue]#(date '+%H:%M') "
set -g status-right-length 35
set -g status-interval 30
set -g base-index 1
set -g pane-base-index 1
set -g history-limit 10000
set -g escape-time 0
set -g aggressive-resize on
set -g window-status-style fg=black,bg=green
set -g window-status-current-style fg=white,bg=blue,bold
set -g mode-keys vi
set -g focus-events on

bind -r Tab next-window
bind -r BTab previous-window

bind h select-pane -L
bind j select-pane -D
bind k select-pane -U
bind l select-pane -R

bind m   set -g mouse \; display "Mouse #{?mouse,ON,OFF}"
bind C-t set -g status
bind r   source ~/.config/tmux/tmux.conf \; display-message "Config reloaded"

